Bug 1506142 - SSSD can crash due to ABI changes in libldb >= 1.2.0 (1.1.30) [rhel-7.4.z]
Summary: SSSD can crash due to ABI changes in libldb >= 1.2.0 (1.1.30) [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Rishabh Dave
URL:
Whiteboard:
Depends On: 1502713
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-25 09:01 UTC by Oneata Mircea Teodor
Modified: 2018-06-12 09:32 UTC (History)
13 users (show)

Fixed In Version: sssd-1.15.2-50.el7_4.7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1502713
Environment:
Last Closed: 2017-12-05 10:51:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3379 normal SHIPPED_LIVE Moderate: sssd security and bug fix update 2017-12-05 06:11:14 UTC

Description Oneata Mircea Teodor 2017-10-25 09:01:36 UTC
This bug has been copied from bug #1502713 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 3 Rishabh Dave 2017-11-14 17:12:15 UTC
Verified this bug on SSSD version : sssd-1.15.2-50.el7_4.7.x86_64
 
Steps followed during verification:
 
1. Get RHEL 7.4 machine and install sssd and samba. Ensure libldb version is < 1.2
 
        [root@client ~]# yum install -y sssd sssd-tools samba
        [root@client ~]# rpm -q sssd sssd-tools samba libldb
        sssd-1.15.2-50.el7.x86_64
        sssd-tools-1.15.2-50.el7.x86_64
        samba-4.6.2-8.el7.x86_64
        libldb-1.1.29-1.el7.x86_64
     
2. Configure sssd as follows:
            [root@client ~]# cat /etc/sssd/sssd.conf
            [sssd]
            config_file_version = 2
            services = nss, pam
            domains = LOCAL
     
            [domain/LOCAL]
            id_provider = local
            debug_level = 9
     
3. Start sssd service and run a user lookup.
            [root@client ~]# systemclt restart sssd
            [root@client ~]# sss_useradd localtestuser1
            [root@client ~]# id localtestuser1
            uid=1000(test) gid=1000(test) groups=1000(test)
     
4. In order to reproduce the bug, update samba and libldb to latest version provided by rhel-75 repo.
            [root@client ~]# cat /etc/yum.repos.d/rhel-75.repo
            [rhel-75]
            name=rhel-75
            baseurl=http://download.eng.pnq.redhat.com/pub/rhel/nightly/RHEL-7.5-20171108.n.0/compose/Server/x86_64/os/
            enabled=1
            gpgcheck=0
            skip_if_unavailable=1
     
            [root@server ~]# rpm -q sssd sssd-tools samba libldb
            sssd-1.15.2-50.el7.x86_64
            sssd-tools-1.15.2-50.el7.x86_64
            samba-4.7.1-1.el7.x86_64
            libldb-1.2.2-1.el7.x86_64
     
5. Restart sssd and the service should crash with segmentation fault.
     
            [root@client ~]# systemctl restart sssd
            Job for sssd.service failed because a fatal signal was delivered to the control process. See "systemctl status sssd.service" and "journalctl -xe" for details.
            [root@client ~]# /usr/sbin/sssd -i
            Segmentation fault
 
6. Upgrade SSSD to the latest z-stream version and restart sssd service.
 
        [root@client ~]# cat /etc/yum.repos.d/rhel-74z.repo
        [rhel-74z]
        name=rhel-74z
        baseurl=http://download-node-02.eng.bos.redhat.com/devel/task-repos/official/sssd/1.15.2/50.el7_4.7/x86_64/
        enabled=1
        gpgcheck=0
        skip_if_unavailable=1
 
        [root@client ~]# yum update -y samba sssd
 
        [root@client ~]# rpm -q sssd sssd-tools samba libldb
        sssd-1.15.2-50.el7_4.7.x86_64
        sssd-tools-1.15.2-50.el7_4.7.x86_64
        samba-4.6.2-8.el7.x86_64
        libldb-1.1.29-1.el7.x86_64
 
        [root@client ~]# systemclt restart sssd
 
7. Lookup a user and sssd should work without crash.
 
        [root@client ~]# id localtestuser1
        uid=1000(test) gid=1000(test) groups=1000(test)

Comment 8 errata-xmlrpc 2017-12-05 10:51:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3379


Note You need to log in before you can comment on or make changes to this bug.